=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS 128-actions-document-share.png
128-apps-gwenview.png
16-actions-document-share.png
16-apps-gwenview.png
22-actions-document-share.png
22-apps-gwenview.png
32-actions-document-share.png
32-apps-gwenview.png
48-actions-document-share.png
48-apps-gwenview.png
64-actions-document-share.png
64-apps-gwenview.png
DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )
