=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libexiv2-dev,
                libjpeg-dev,
                libkcolorpicker-qt6-dev,
-               libkdcrawqt6-dev (>= 25.11.80~),
+               libkdcrawqt6-dev (>= 25.11.90~),
                libkf6baloo-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6guiaddons-dev (>= 6.0.0~),
