## gwenview 25.12.0+p24.04+vstable+git20251213.0540

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vstable+git20251213.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 13 Dec 2025 05:40:47 +0000

gwenview (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:37:05 +1000

gwenview (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:40:53 +1000
