## gwenview 25.12.0+p24.04+vstable+git20260105.0930

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vstable+git20260105.0930-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:30:38 +0000
