## gwenview 25.12.0+p24.04+vunstable+git20251211.0334

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vunstable+git20251211.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:35:03 +0000
