## gwenview 25.12.0+p24.04+vunstable+git20251215.0610

=== debian/changelog ===
gwenview (4:25.12.0+p24.04+vunstable+git20251215.0610-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 06:10:38 +0000
